package org.processmining.mixedparadigm.models.dfa.existence;

import org.processmining.mixedparadigm.models.dfa.GeneralDeterministicFiniteAutomaton;

public class AbsenceN extends GeneralDeterministicFiniteAutomaton {

	public AbsenceN(int alphabetSize, short label, short numberOfTimes) {
		super("Absence "+numberOfTimes, alphabetSize, numberOfTimes);

		for (short i = 0; i < numberOfTimes; i++) {
			addState(i == 0, TS, true);
			if (i < numberOfTimes - 1) {
				addTransition(i, (short) (i + 1), label);
			} else {
				removeTransition(i,  label);
			}
		}

	}

}
