package org.processmining.mixedparadigm.models.dfa.relation;

import org.processmining.mixedparadigm.models.dfa.GeneralDeterministicFiniteAutomaton;

public class ChainResponseAB extends GeneralDeterministicFiniteAutomaton {

	public ChainResponseAB(int alphabetSize, short transA, short transB) {
		super("Chain Response", alphabetSize, 2);

		// add two state
		short s0 = addState(true, TS, true);
		short s1 = addState(false, TV, false);

		// add transA
		addTransition(s0, s1, transA);

		// add transB
		addTransition(s1, s0, transB);
	}

}
