package org.processmining.mixedparadigm.models.mixedparadigm.constraints.unary;

import gnu.trove.map.TObjectShortMap;

import org.processmining.mixedparadigm.models.dfa.DeterministicFiniteAutomaton;
import org.processmining.mixedparadigm.models.mixedparadigm.constraints.ConstraintType;
import org.processmining.models.graphbased.directed.petrinet.elements.Transition;

public final class Init extends ConstraintType.Unary {

	public DeterministicFiniteAutomaton getAutomaton(TObjectShortMap<Transition> trans2int, Transition from) {
		return new org.processmining.mixedparadigm.models.dfa.existence.InitA(trans2int.size(), trans2int.get(from));
	}

	public String getName() {
		return INIT;
	}
}