package org.processmining.mixedparadigm.algorithms.replayer;

import java.util.Collection;
import java.util.Iterator;
import java.util.Map;

import org.processmining.plugins.petrinet.replayresult.PNRepResult;
import org.processmining.plugins.replayer.replayresult.SyncReplayResult;

public class MPReplayResult {

	private PNRepResult replayResult;

	public MPReplayResult() {

	}

	public MPReplayResult(PNRepResult replayResult) {
		setPNRepResult(replayResult);
	}

	public void setPNRepResult(PNRepResult replayResult) {
		this.replayResult = replayResult;

	}

	public int size() {
		return replayResult.size();
	}

	public boolean isEmpty() {
		return replayResult.isEmpty();
	}

	public boolean contains(Object o) {
		return replayResult.contains(o);
	}

	public Iterator<SyncReplayResult> iterator() {
		return replayResult.iterator();
	}

	public Object[] toArray() {
		return replayResult.toArray();
	}

	public <T> T[] toArray(T[] a) {
		return replayResult.toArray(a);
	}

	public boolean add(SyncReplayResult e) {
		return replayResult.add(e);
	}

	public boolean remove(Object o) {
		return replayResult.remove(o);
	}

	public boolean containsAll(Collection<?> c) {
		return replayResult.containsAll(c);
	}

	public boolean addAll(Collection<? extends SyncReplayResult> c) {
		return replayResult.addAll(c);
	}

	public boolean retainAll(Collection<?> c) {
		return replayResult.retainAll(c);
	}

	public boolean removeAll(Collection<?> c) {
		return replayResult.removeAll(c);
	}

	public void clear() {
		replayResult.clear();
	}

	public void addInfo(String property, String valString) {
		replayResult.addInfo(property, valString);
	}

	public Map<String, Object> getInfo() {
		return replayResult.getInfo();
	}

	public void setInfo(Map<String, Object> info) {
		replayResult.setInfo(info);
	}

	public int hashCode() {
		return System.identityHashCode(this);
	}

	public boolean equals(Object o) {
		return this == o;
	}

	public PNRepResult getPNRepResult() {
		return replayResult;
	}
}
