package org.processmining.mixedparadigm.algorithms.replayer;

import java.util.List;
import java.util.Set;

import org.processmining.mixedparadigm.models.mixedparadigm.DeclarativeArc;
import org.processmining.plugins.petrinet.replayresult.StepTypes;
import org.processmining.plugins.replayer.replayresult.SyncReplayResult;

public class MPSyncReplayResult extends SyncReplayResult {

	private List<Set<DeclarativeArc>> violatedConstraints;

	public MPSyncReplayResult(List<Object> nodeInstance, List<StepTypes> stepTypes, int traceIndex,
			List<Set<DeclarativeArc>> violatedConstraints) {
		super(nodeInstance, stepTypes, traceIndex);
		this.violatedConstraints = violatedConstraints;

	}

	public List<Set<DeclarativeArc>> getViolatedConstraints() {
		return violatedConstraints;
	}

	public int size() {
		return violatedConstraints.size();
	}

}
