package org.processmining.mixedparadigm.models.dfa.existence;

import org.processmining.mixedparadigm.models.dfa.GeneralDeterministicFiniteAutomaton;

public class InitA extends GeneralDeterministicFiniteAutomaton {

	public InitA(int alphabetSize, short transA) {
		super("init",alphabetSize, 2);

		// add two state
		short s0 = addState(true, TV, false);
		short s1 = addState(false, PS, true);

		// add transA
		addTransition(s0, s1, transA);

	}
}
