package org.processmining.mixedparadigm.models.dfa.negation;

import org.processmining.mixedparadigm.models.dfa.GeneralDeterministicFiniteAutomaton;

public class NotSuccessionAB extends GeneralDeterministicFiniteAutomaton {

	public NotSuccessionAB(int alphabetSize, short transA, short transB) {
		super("Not Succession", alphabetSize, 2);

		// add two state
		short s0 = addState(true, TS, true);
		short s1 = addState(false, TS, true);

		// add transA
		addTransition(s0, s1, transA);
		// remove transB in s1
		removeTransition(s1, transB);

	}

}
