package org.processmining.mixedparadigm.models.mixedparadigm;

import org.processmining.models.graphbased.AttributeMap.ArrowType;

public class Graphics {

	private int numberOfLines;
	private ArrowType startArrow;
	private ArrowType middleArrow;
	private ArrowType endArrow;
	private boolean showLabel;
	private boolean middleArrowFilled;

	public Graphics(int numberOfLines, ArrowType startArrow, ArrowType middleArrow, ArrowType endArrow,
			boolean showLabel) {
		this.numberOfLines = numberOfLines;
		this.startArrow = startArrow;
		this.middleArrow = middleArrow;
		this.endArrow = endArrow;
		this.showLabel = showLabel;
	}

	public Graphics() {
		this(1, ArrowType.ARROWTYPE_NONE, ArrowType.ARROWTYPE_NONE, ArrowType.ARROWTYPE_NONE, true);
	}

	public int getNumberOfLines() {
		return numberOfLines;
	}

	public void setNumberOfLines(int numberOfLines) {
		this.numberOfLines = numberOfLines;
	}

	public ArrowType getStartArrow() {
		return startArrow;
	}

	public void setStartArrow(ArrowType startArrow) {
		this.startArrow = startArrow;
	}

	public ArrowType getMiddleArrow() {
		return middleArrow;
	}

	public void setMiddleArrow(ArrowType middleArrow) {
		this.middleArrow = middleArrow;
	}

	public ArrowType getEndArrow() {
		return endArrow;
	}

	public void setEndArrow(ArrowType endArrow) {
		this.endArrow = endArrow;
	}

	public boolean isShowLabel() {
		return showLabel;
	}

	public void setShowLabel(boolean showLabel) {
		this.showLabel = showLabel;
	}

	public void setMiddleArrowFilled(boolean b) {
		this.middleArrowFilled = b;
	}

	public boolean getMiddleArrowFilled() {
		return middleArrowFilled;
	}
}
