package org.processmining.mixedparadigm.plugins.pnml;

import org.processmining.plugins.pnml.base.FullPnmlElementFactory;

public class DPnmlElementFactory extends FullPnmlElementFactory {

	// Create DPnml pages to take care of non regular edges.
	@Override
	public DPnmlPage createPnmlPage() {
		return new DPnmlPage();
	}

	public PnmlDeclarativeArc createPnmlDeclarativeArc() {
		return new PnmlDeclarativeArc();
	}

	public DPnmlArcGraphics createDPnmlArcGraphics() {
		return new DPnmlArcGraphics();
	}

	public DPnmlMultiArcGraphics createDPnmlMultiArcGraphics() {
		return new DPnmlMultiArcGraphics();
	}

	public DPnmlMultiNodeGraphics createDPnmlMultiNodeGraphics() {
		return new DPnmlMultiNodeGraphics();
	}

	public DPnmlSourceTransitionReference createDPnmlSourceTransitionReference() {
		return new DPnmlSourceTransitionReference();
	}

	public DPnmlTargetTransitionReference createDPnmlTargetTransitionReference() {
		return new DPnmlTargetTransitionReference();
	}

	public DPnmlSingleArcGraphics createDPnmlSingleArcGraphics() {
		return new DPnmlSingleArcGraphics();
	}

}
